
Infrastructure - Task #7289

The jdbc-stdext02.0.jar file can't be found when we freshly are building d1_libclient_java from the svn

trunk

2015-08-10 22:40 - Jing Tao

Status: Closed Start date: 2015-08-10

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: CCI-2.2.0   

Milestone: None Story Points:  

Product Version: *   

Description

The error is:

[INFO] BUILD FAILURE

[INFO] ------------------------------------------------------------------------

[INFO] Total time: 4.710 s

[INFO] Finished at: 2015-08-10T15:24:42-07:00

[INFO] Final Memory: 11M/245M

[INFO] ------------------------------------------------------------------------

[ERROR] Failed to execute goal on project d1_libclient_java: Could not resolve dependencies for project

org.dataone:d1_libclient_java:jar:2.0.0-SNAPSHOT: Failure to find javax.sql:jdbc-stdext:jar:2.0 in 

https://repository.sonatype.org/content/shadows/centralm1 was cached in the local repository, resolution will not be reattempted until

the update interval of sonatype.org has elapsed or updates are forced -> [Help 1]

If the jar file exists in the .m2 directory, the building succeeds. Otherwise, it fails. 

History

#1 - 2015-08-10 22:52 - Jing Tao

- Category set to d1_libclient_java

#2 - 2015-08-10 22:53 - Chris Jones

A work-around for now is to install the jar that you've downloaded to your system manually:

$ mvn install:install-file -Dfile=./jdbc-stdext-2.0.jar -DgroupId=javax.sql -DartifactId=jdbc-stdext -Dversion=2.0 -Dpackaging=jar

It looks like Oracle is forbidding the distribution of a number of jars via Maven repositories. Joy.  See 

http://maven.apache.org/guides/mini/guide-coping-with-sun-jars.html and note that the Java.net repo is no longer as well: 

http://download.java.net/maven/2/ 

#3 - 2016-06-13 23:34 - Rob Nahf

- Status changed from New to Closed

- Target version changed from CCI-2.0.0 to CCI-2.2.0

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

This is a dependency of jcs:jcs:jar:1.3, which was removed from libclient_java (not the version, the whole JCS package).
